/// 病人信息
class PatientInfo {
  /// 创建时间
  final DateTime createTime;

  /// 是否登记
  final bool isValid;

  ///  病人code
  String patientCode;

  /// 病人手机号
  String? phone;

  /// 病人名称
  String? name;

  ///身份证
  String? identityCard;

  ///社保卡
  String? insuranceCode;

  /// 病人年龄
  String? age;

  /// 病人性别
  String? sex;

  /// 病人生日
  String? birthday;

  /// 岁
  String? ageYear;

  /// 月
  String? ageMonth;

  /// 周
  String? ageWeek;

  /// 日
  String? ageDay;

  /// 年龄选择格式
  String? ageUnits;

  /// 既往病史
  String? anamnesis;

  String? headImgUrl;

  String? species;

  String? breed;
  PatientInfo(
      {required this.createTime,
      required this.isValid,
      required this.patientCode,
      this.phone = '',
      this.name,
      this.identityCard,
      this.insuranceCode,
      this.age,
      this.sex,
      this.birthday,
      this.ageYear,
      this.ageMonth,
      this.ageWeek,
      this.ageDay,
      this.ageUnits,
      this.anamnesis,
      this.headImgUrl,
      this.species,
      this.breed});
}
