import 'package:flyinsonolite/consultation/reports/reportinfo/block_element_info_interface.dart';
import 'package:flyinsonolite/consultation/reports/reportinfo/element_info.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/static_image.dart';

class StaticImageInfo extends ElementInfo implements IBlockElementInfo {
  int? column;

  bool? hasGap;

  bool? isReadOnly;

  bool? isSelected;

  String? source;

  StaticImageInfo.fromElement(StaticImage staticImage)
      : super.fromElement(staticImage) {
    column = staticImage.column;
    hasGap = staticImage.hasGap;
    isReadOnly = staticImage.isReadOnly;
    source = staticImage.source;
  }

  @override
  List<ElementInfo>? elementInfos;

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map.addAll(super.toJson());
    return map;
  }
}
