import 'package:flyinsonolite/consultation/reports/reportinfo/text_element_info.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/static_text.dart';

class StaticTextInfo extends TextElementInfo {
  late String text;

  StaticTextInfo.fromElement(StaticText element) : super.fromElement(element) {
    text = element.text ?? '';
  }

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map.addAll(super.toJson());
    return map;
  }
}
