import 'package:flyinsonolite/consultation/reports/reporttemplate/text_element.dart';

class PageNumber extends TextElement {
  PageNumberStyle? pageNumberStyle;

  PageNumber.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    pageNumberStyle = PageNumberStyle.values
        .firstWhere((element) => element.name == json['PageNumberStyle']);
  }
}

enum PageNumberStyle {
  Number,
  NumberAndTotalNumber,
}
