import 'package:flyinsonolite/converters/intodoubleconverter.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/rt_color.dart';

enum RTBorderStyle {
  None,
  Solid,
  Dash,
  Dot,
  DashDot,
  DashDotDot,
  Double,
}

class RTBorder {
  RTBorderStyle borderStyle = RTBorderStyle.Solid;
  RTColor color = RTColor.Black;
  double thickness = 1;

  RTBorder();

  RTBorder.fromJson(Map<String, dynamic> json) {
    borderStyle = RTBorderStyle.values
        .firstWhere((element) => element.name == json['BorderStyle']);
    color = RTColor.fromJson(json['Color']);
    thickness = IntToDouble.intToDouble(json['Thickness']);
  }
}
