import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flyinsonolite/controls/text/fistext.dart';
import 'package:flyinsonolite/converters/marginconverter.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/page_number.dart';

class FPageNumber extends StatefulWidget {
  final PageNumber space;

  const FPageNumber(this.space, {Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return _FPageNumberState();
  }
}

class _FPageNumberState extends State<FPageNumber> {
  late PageNumber pageNumber;
  @override
  initState() {
    pageNumber = widget.space;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: MarginConverter.marginConvert(pageNumber.margin),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.end,
        children: const [
          ///页码功能应在生成pdf时自动添加上
          FISText(''),
        ],
      ),
    );
  }
}
