import 'package:flutter/material.dart';
import 'package:flyinsonolite/converters/pttopxconverter.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/rt_thickness.dart';

class MarginConverter {
  static EdgeInsets marginConvert(RTThickness? value) {
    if (value == null) return const EdgeInsets.all(0);
    return EdgeInsets.only(
      top: PtToPxConverter.ptToPx(value.top),
      bottom: PtToPxConverter.ptToPx(value.bottom),
      left: PtToPxConverter.ptToPx(value.left),
      right: PtToPxConverter.ptToPx(value.right),
    );
  }
}
