import 'package:flyinsonolite/jsonrpc/fisLib/rpc.dart';

final _jsonRpcClient = JsonRpcClientForFISLib();
JsonRpcProxyForFISLib get jsonRpcProxyForFISLib =>
    _jsonRpcClient.getJsonRpcProxy();
JsonRpcClientForFISLib get jsonrpcclientForFISLib => _jsonRpcClient;

class JsonRpcClientForFISLib {
  //static JsonRpcClient? _shareInstance;
  late String host;
  JsonRpcProxyForFISLib? _jsonRpcProxy;

  //static JsonRpcClient getInstance(){
  //  _shareInstance ??= JsonRpcClient();
  //  return _shareInstance!;
  //}

  JsonRpcProxyForFISLib getJsonRpcProxy() {
    if (_jsonRpcProxy == null) {
      throw Exception("JsonRpcProxy is null");
    }
    return _jsonRpcProxy!;
  }

  void updateServer(String host) {
    if (_jsonRpcProxy == null) {
      _jsonRpcProxy = JsonRpcProxyForFISLib(host: host);
      _jsonRpcProxy!.setServerHost(host);
    } else if (this.host != host) {
      _jsonRpcProxy!.clearCache();
    }
    this.host = host;
  }
}
