import 'package:flutter/cupertino.dart';
import 'package:flyinsonolite/consultation/records/models/patientinfo.dart';
import 'package:flyinsonolite/consultation/records/models/selectmodel.dart';
import 'package:get/get_rx/src/rx_types/rx_types.dart';

abstract class IPatientController {
  PatientInfo currentPatient = PatientInfo(
    isValid: true,
    createTime: DateTime.now(),
    patientCode: '',
    ageUnits: 'Year',
  );
  Map<String, String> patient = {'AgeUnits': "Year"};
  Rx<List<FISSelectModel>> sexList = Rx([]);
  Rx<FISSelectModel?> selectedSex = Rx(null);
  Rx<List<FISSelectModel>> ageUnitList = Rx([]);
  Rx<FISSelectModel?> selectedAgeUnit = Rx(null);
  RxBool isEdit = false.obs;
  TextEditingController getTextEditingController(
      String key, String defaultValue);
}
