import 'package:fis_common/event/event_type.dart';
import 'package:flyinsonolite/managers/basemanager.dart';
import 'package:flyinsonolite/managers/interfaces/inetworkerrorhandlermanager.dart';
import 'package:get/get_rx/src/rx_types/rx_types.dart';

class NetworkErrorHandlerManager extends BaseManager
    implements INetworkErrorHandlerManager {
  NetworkErrorHandlerManager() {
    onNetworkInterruption.addListener((sender, e) {
      isNetworkAbnormal.value = e;
    });
  }

  @override

  /// 通知网络断开
  final FEventHandler<bool> onNetworkInterruption = FEventHandler<bool>();

  @override
  RxBool isNetworkAbnormal = false.obs;
}
