import 'package:fis_i18n/i18n.dart';
import 'package:flutter/material.dart';
import 'package:flyinsonolite/consultation/records/views/consultationdetailview.dart';
import 'package:flyinsonolite/controls/dialog/fisdialog.dart';
import 'package:flyinsonolite/infrastructure/scale.dart';
import 'package:get/get.dart';

class ConsultationDetailDialog extends GetView {
  const ConsultationDetailDialog({super.key});

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(
        builder: (BuildContext context, BoxConstraints constraints) {
      return FISDialog(
        i18nBook.realTimeConsultation.consultationDetail.t,
        Container(
          width: Get.width > 800.s ? 800.s : Get.width,
          height: Get.height > 800.s ? 800.s : Get.height,
          alignment: Alignment.topLeft,
          padding: EdgeInsets.all(5.s),
          child: const ConsultationDetailView(),
        ),
        false,
        false,
        insetPadding: const EdgeInsets.all(0),
      );
    });
  }
}
