import 'package:flyinsonolite/consultation/reports/reportinfo/element_info.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/line.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/rt_color.dart';

class LineInfo extends ElementInfo {
  RTColor? stroke;

  double? thickness;

  double? width;

  LineInfo.fromElement(Line element) : super.fromElement(element) {
    stroke = element.stroke;
    thickness = element.thickness;
    width = element.width;
  }

  @override
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map.addAll(super.toJson());
    return map;
  }
}
