import 'package:flyinsonolite/consultation/reports/reporttemplate/interfaces/block_element.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/interfaces/element.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/interfaces/report_template_body.dart';
import 'package:flyinsonolite/consultation/reports/reporttemplate/rt_color.dart';

enum WidthTypeEnum {
  MinValue,
  FixedValue,
}

class ICell extends IElement implements IReportTemplateBody {
  RTColor? background;
  WidthTypeEnum? widthType;
  WidthTypeEnum? heightType;
  String? groupField;

  @override
  List<IBlockElement>? blocks;
}
