class LoginParameter {
  String? userName;
  String? password;

  LoginParameter({this.userName, this.password});

  factory LoginParameter.fromJson(Map<String, dynamic> map) {
    return LoginParameter(
      userName: map['UserName'],
      password: map['Password'],
    );
  }

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['UserName'] = userName;
    map['Password'] = password;
    return map;
  }
}
